WPS4TextInternal::DosLink Struct Reference

Internal: class to store an object definition. More...

## Public Member Functions
| DosLink ()
| constructor

## Public Attributes
int | m_type
| the type
float | m_width
| the width
Vec2f | m_size
| the object size in the document
std::string | m_name
| the file name
WPSEntry | m_pos
| an entry which indicates where the object is defined in the file
std::string | m_extra
| a string used to store the parsing errors

## Friends
std::ostream & | operator<< (std::ostream &o, DosLink const &dlink)
| operator <<

## Detailed Description

Internal: class to store an object definition.

## Constructor & Destructor Documentation

## ◆ DosLink()

WPS4TextInternal::DosLink::DosLink | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | DosLink const & | dlink )
| friend

operator <<

## Member Data Documentation

## ◆ m_extra

std::string WPS4TextInternal::DosLink::m_extra

a string used to store the parsing errors

Referenced by DosLink(), operator<<, and WPS4Text::readDosLink().

## ◆ m_name

std::string WPS4TextInternal::DosLink::m_name

the file name

Referenced by DosLink(), operator<<, and WPS4Text::readDosLink().

## ◆ m_pos

WPSEntry WPS4TextInternal::DosLink::m_pos

an entry which indicates where the object is defined in the file

Referenced by DosLink(), and WPS4Text::readDosLink().

## ◆ m_size

Vec2f WPS4TextInternal::DosLink::m_size

the object size in the document

Referenced by DosLink(), operator<<, and WPS4Text::readDosLink().

## ◆ m_type

int WPS4TextInternal::DosLink::m_type

the type

Referenced by DosLink(), operator<<, and WPS4Text::readDosLink().

## ◆ m_width

float WPS4TextInternal::DosLink::m_width

the width

Referenced by DosLink(), operator<<, and WPS4Text::readDosLink().

The documentation for this struct was generated from the following file:

- WPS4Text.cpp